Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jms
Class AQjmsConnectionMetaData

`java.lang.Object
oracle.jms.AQjmsConnectionMetaData`

All Implemented Interfaces:
  ConnectionMetaData

public class AQjmsConnectionMetaData
extends java.lang.Object
implements ConnectionMetaData

This is an Oracle class which implements `javax.jms.ConnectionMetaData`. Class `AQjmsConnectionMetaData` represents the metadata information available for a JMS connection. This contains information like version number and vendor name of the JMS server to which a connection is created.

Constructor Summary
`AQjmsConnectionMetaData()` Creates a new `AQjmsConnectionMetaData` object.

Method Summary
`int` | `getJMSMajorVersion()` Gets the JMS major version number.
`int` | `getJMSMinorVersion()` Gets the JMS minor version number.
`java.lang.String` | `getJMSProviderName()` Gets the JMS provider name.
`java.lang.String` | `getJMSVersion()` Gets the JMS version.
`java.util.Enumeration` | `getJMSXPropertyNames()` Gets an enumeration of the JMSX property names.
`int` | `getProviderMajorVersion()` Gets the JMS provider major version number.
`int` | `getProviderMinorVersion()` Gets the JMS provider minor version number.
`java.lang.String` | `getProviderVersion()` Gets the JMS provider version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AQjmsConnectionMetaData

    public AQjmsConnectionMetaData()

  Creates a new `AQjmsConnectionMetaData` object.

Method Detail

### getJMSVersion

    public java.lang.String getJMSVersion()
                                   throws JMSException

  Gets the JMS version.
  Specified by:
    `getJMSVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS version
  Throws:
    `JMSException` - if the metadata is not retrieved due to some internal error.

### getJMSMajorVersion

    public int getJMSMajorVersion()
                           throws JMSException

  Gets the JMS major version number.
  Specified by:
    `getJMSMajorVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS major version number
  Throws:
    `JMSException` - if the metadata is not retrieved due to some internal error.

### getJMSMinorVersion

    public int getJMSMinorVersion()
                           throws JMSException

  Gets the JMS minor version number.
  Specified by:
    `getJMSMinorVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS minor version number
  Throws:
    `JMSException` - if the metadata is not retrieved due to some internal error.

### getJMSProviderName

    public java.lang.String getJMSProviderName()
                                        throws JMSException

  Gets the JMS provider name.
  Specified by:
    `getJMSProviderName` in interface `ConnectionMetaData`
  Returns:
    the JMS provider name
  Throws:
    `JMSException` - if the metadata is not retrieved due to some internal error.

### getProviderVersion

    public java.lang.String getProviderVersion()
                                        throws JMSException

  Gets the JMS provider version.
  Specified by:
    `getProviderVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS provider version
  Throws:
    `JMSException` - if the metadata is not retrieved due to some internal error.

### getProviderMajorVersion

    public int getProviderMajorVersion()
                                throws JMSException

  Gets the JMS provider major version number.
  Specified by:
    `getProviderMajorVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS provider major version number
  Throws:
    `JMSException` - if the metadata is not retrieved due to some internal error.

### getProviderMinorVersion

    public int getProviderMinorVersion()
                                throws JMSException

  Gets the JMS provider minor version number.
  Specified by:
    `getProviderMinorVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS provider minor version number
  Throws:
    `JMSException` - if the metadata is not retrieved due to some internal error.

### getJMSXPropertyNames

    public java.util.Enumeration getJMSXPropertyNames()
                                               throws JMSException

  Gets an enumeration of the JMSX property names.
  Specified by:
    `getJMSXPropertyNames` in interface `ConnectionMetaData`
  Returns:
    an enumeration of JMSX property names
  Throws:
    `JMSException` - if the metadata is not retrieved due to some internal error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.